Subject: Re: Errors GITtifying GCC and Binutils

From: Shawn Pearce <[email-masked]>
Date: Thu, 23 Mar 2006 15:48:25 -0500

Linus Torvalds <[email-masked]> wrote:
> 
> On Thu, 23 Mar 2006, sean wrote:
> > 
> > lol, that sounds like a really good plan.  Perhaps as a two pronged effort
> > its worth changing the notion that git is primarily "plumbing".   Adding
> > some of the nice features of cogito and other "porcelains" into the core
> > git might go a ways toward converting the few naysayers we don't kill.
> 
> Actually, as far as I can tell, git already has a hell of a lot more 
> porcelain than pretty much any non-IDE type traditional SCM. Certainly 
> more than CVS.
> 
> Yeah, I'm not counting things like Eclipse etc. I'm talking about "plain 
> SCM" environments, ie just basic SVN or CVS. What are we missing in that 
> department? (The only thing I can think of is a diff colorizer, which some 
> prople seem to really want).

A pretty native point-and-click Windows GUI so Windows users can
use GIT without knowing how to actually use their computer.  :-)

I'm not trying to bash Windows users.  I'm just saying that there's
definately a large user base for SCMs such as CVS who just want
to check in the latest version of a file they have to maintain.
Many of these people are afraid of a command prompt.  Asking them
to install Cygwin just to check in a file is a difficult challenge.

And even if a user is perfectly comfortable with a command prompt
and could write one-line scripts faster than anyone else, sometimes
users just prefer a GUI interface.

qgit probably comes close in this department but hasn't been packaged
up into a pretty Windows installer.  :-)

But your definately right; once the blame/annotate war settles out
GIT will have pretty much everything one might need - except a good
distributed bug/issue tracking type system.  :-)

-- 
Shawn.